Visualizza: Assonometria isometrica

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewIsometric and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Std ViewFitSelection.svg Visualizza la selezione Pagina precedente:
Pagina successiva: Assonometria dimetrica Arrow-right.svg

Std ViewIsometric.svg Vista isometrica

Nome nel codice
Std_ViewIsometric
Posizione nel menu
Visualizza → Viste standard → Assonometria → Isometrica
Ambiente
Tutti
Avvio veloce
0
Introdotto nella versione
-
Vedere anche
Vista ortografica, Assonometria dimetrica, Assonometria trimetrica


Descrizione

Il comando Vista isometrica orienta la camera della vista 3D in proiezione assonometria isometrica. Per una vista veramente isometrica la vista 3D deve essere in modalità ortografica, ma il comando funziona anche se la vista è in modalità prospettiva.

Std ViewIsometric example.svg

Il sistema di assi e un cubo in vista isometrica.


Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Std ViewIsometric.svg Vista isometrica.
    • Selezionare l'opzione Viste → Viste standard → Assonometra → Std ViewIsometric.svg Isometrica dal menu.
    • Selezionare l'opzione Viste standard → Std ViewIsometric.svg Isometrica dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: 0.

Note

  • È anche possibile passare alla vista isometrica tramite il menu Mini-cubo del Cubo di navigazione.

Script

Vedere anche: Script di base per FreeCAD

Per passare alla vista isometrica utilizzare il metodo viewIsometric dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
Arrow-left.svg Std ViewFitSelection.svg Visualizza la selezione Pagina precedente:
Pagina successiva: Assonometria dimetrica Arrow-right.svg